io.agora.rtc

## Class AudioFrame

- java.lang.Object
- - io.agora.rtc.AudioFrame

-     public class AudioFrame
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `avsyncType`
    `private java.nio.ByteBuffer` | `buffer`
    `private int` | `bytesPerSample`
    `private int` | `channels`
    `private int` | `farFiledFlag`
    `private int` | `musicProb`
    `private int` | `pitch`
    `private long` | `renderTimeMs`
    `private int` | `rms`
    `private int` | `samplesPerChannel`
    `private int` | `samplesPerSec`
    `private int` | `type`
    `private int` | `voiceProb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioFrame()`
    `AudioFrame(int type, int samplesPerChannel, int bytesPerSample, int channels, int samplesPerSec, java.nio.ByteBuffer buffer, long renderTimeMs, int avsyncType, int farFiledFlag, int rms, int voiceProb, int musicProb, int pitch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvsyncType()`
    `java.nio.ByteBuffer` | `getBuffer()`
    `int` | `getBytesPerSample()`
    `int` | `getChannels()`
    `int` | `getFarFiledFlag()`
    `int` | `getMusicProb()`
    `int` | `getPitch()`
    `long` | `getRenderTimeMs()`
    `int` | `getRms()`
    `int` | `getSamplesPerChannel()`
    `int` | `getSamplesPerSec()`
    `int` | `getType()`
    `int` | `getVoiceProb()`
    `void` | `setAvsyncType(int avsyncType)`
    `void` | `setBuffer(java.nio.ByteBuffer buffer)`
    `void` | `setBytesPerSample(int bytesPerSample)`
    `void` | `setChannels(int channels)`
    `void` | `setFarFiledFlag(int farFiledFlag)`
    `void` | `setMusicProb(int musicProb)`
    `void` | `setPitch(int pitch)`
    `void` | `setRenderTimeMs(long renderTimeMs)`
    `void` | `setRms(int rms)`
    `void` | `setSamplesPerChannel(int samplesPerChannel)`
    `void` | `setSamplesPerSec(int samplesPerSec)`
    `void` | `setType(int type)`
    `void` | `setVoiceProb(int voiceProb)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          private int type

    - #### samplesPerChannel

          private int samplesPerChannel

    - #### bytesPerSample

          private int bytesPerSample

    - #### channels

          private int channels

    - #### samplesPerSec

          private int samplesPerSec

    - #### buffer

          private java.nio.ByteBuffer buffer

    - #### renderTimeMs

          private long renderTimeMs

    - #### avsyncType

          private int avsyncType

    - #### farFiledFlag

          private int farFiledFlag

    - #### rms

          private int rms

    - #### voiceProb

          private int voiceProb

    - #### musicProb

          private int musicProb

    - #### pitch

          private int pitch

  - ### Constructor Detail

    - #### AudioFrame

          public AudioFrame()

    - #### AudioFrame

          public AudioFrame(int type,
                            int samplesPerChannel,
                            int bytesPerSample,
                            int channels,
                            int samplesPerSec,
                            java.nio.ByteBuffer buffer,
                            long renderTimeMs,
                            int avsyncType,
                            int farFiledFlag,
                            int rms,
                            int voiceProb,
                            int musicProb,
                            int pitch)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getSamplesPerChannel

          public int getSamplesPerChannel()

    - #### setSamplesPerChannel

          public void setSamplesPerChannel(int samplesPerChannel)

    - #### getBytesPerSample

          public int getBytesPerSample()

    - #### setBytesPerSample

          public void setBytesPerSample(int bytesPerSample)

    - #### getChannels

          public int getChannels()

    - #### setChannels

          public void setChannels(int channels)

    - #### getSamplesPerSec

          public int getSamplesPerSec()

    - #### setSamplesPerSec

          public void setSamplesPerSec(int samplesPerSec)

    - #### getBuffer

          public java.nio.ByteBuffer getBuffer()

    - #### setBuffer

          public void setBuffer(java.nio.ByteBuffer buffer)

    - #### getRenderTimeMs

          public long getRenderTimeMs()

    - #### setRenderTimeMs

          public void setRenderTimeMs(long renderTimeMs)

    - #### getAvsyncType

          public int getAvsyncType()

    - #### setAvsyncType

          public void setAvsyncType(int avsyncType)

    - #### getFarFiledFlag

          public int getFarFiledFlag()

    - #### setFarFiledFlag

          public void setFarFiledFlag(int farFiledFlag)

    - #### getRms

          public int getRms()

    - #### setRms

          public void setRms(int rms)

    - #### getVoiceProb

          public int getVoiceProb()

    - #### setVoiceProb

          public void setVoiceProb(int voiceProb)

    - #### getMusicProb

          public int getMusicProb()

    - #### setMusicProb

          public void setMusicProb(int musicProb)

    - #### getPitch

          public int getPitch()

    - #### setPitch

          public void setPitch(int pitch)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`